Get a list of Customers

Retrieves a list of Customers filtered by the given parameters. Filter parameters are not case sensitive, but will only return exact matches.

Multiple filter parameters can be provided at once, but a result will not be returned unless there are exact matches for all submitted parameters. As an example: submitting first_name=Olive&last_name=Oyl would match exactly "Olive Oyl" but NOT "Olive Boyl" or "Oliver Oyl".

The list endpoint will not include sensitive Customer data such as address or DOB. This can only be retrieved by viewing a specific Customer record. By default we do not display Customers in the initiated status, as Customers in this status have not completed onboarding. To cause Customers with this status to be included in the list you must provide the include_initiated=true parameter.

Query Params
string

Filter by Customer. Multiple values are allowed e.g. uid[]=uKxmLxUEiSj5h4M3&uid[]=y9reyPMNEWuuYSC1.

string
enum

Filter by onboarding status. Please note that the initiated enum value will not be respected unless the include_initiated=true parameter is also provided. Multiple values are allowed e.g. status[]=queued&status[]=active.

boolean

By default, Customers in initiated status are not shown, even if the status=initiated parameter is provided. In order for Customers with status initiated to appear in search results, parameters must include include_initiated=true

string
enum

Filter by KYC status. Multiple values are allowed e.g. kyc_status[]=approved&kyc_status[]=under_review.

string
enum

Only return Customers with a customer type matching exactly what is submitted. Multiple values are allowed e.g. customer_type[]=primary&customer_type[]=secondary.

Allowed:
string

Only return Customers with a first name matching exactly what is submitted. Multiple values are allowed e.g. first_name[]=Olive&first_name[]=Jack.

string

Only return Customers with a last name matching exactly what is submitted. Multiple values are allowed e.g. last_name[]=Oyl&last_name[]=Hammon.

string

Only return Customers with an email address matching exactly what is submitted. Multiple values are allowed e.g. email[][email protected]&email[][email protected].

boolean

Only return locked Customers if true and only return unlocked Customers if false

string

Only return Customers belonging to the submitted Program. Multiple values are allowed e.g. program_uid[]=pQtTCSXz57fuefzp&program_uid[]=oPsSBRWy46etdeyo.

string

Only return Customers with a business name at least partially matching what is submitted. Exact matches will be sorted first.

string

A unique, immutable id provided by the Client. Multiple values are allowed e.g. external_uid[]=uKxmLxUEiSj5h4M3&external_uid[]=y9reyPMNEWuuYSC1.

string

Filter by pool. Multiple values are allowed, e.g. pool_uid[]=wTSMX1GubP21ev2h&pool_uid[]=7UvkHn3Ss9AbWe2c.

integer
Defaults to 100

Maximum number of items to retrieve. This filter is automatically applied with the default value if not given.

integer
Defaults to 0

Index of the items to start retrieving from

string
enum
Headers
string
required

A unique identifier provided for each request. Duplicate values submitted in requests within 7 days of each other will cause the request to be rejected.

Response

Language
Credentials
Header
Response
Choose an example:
application/json